#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0xB5,0x0D,0xE7,0x61,0x7D,0x4D,0xD4,0xBA,0xDD,0xD5,0x83,
		0x77,0xAD,0x3C,0x43,0x3E,0x6D,0xB6,0x37,0xAD,0xE6,0x94,0xF4,
		0x51,0x1C,0x34,0x7D,0x72,0xC7,0x65,0xD0,0x09,0xB6,0xBB,0x6A,
		0x48,0xAC,0x4E,0xFB,0xA0,0x36,0xBE,0xB4,0x56,0x1F,0x9B,0x5F,
		0x9E,0x47,0xC3,0xFA,0xE5,0x80,0xBF,0x3A,0xB0,0xE8,0xE3,0xB9,
		0xBA,0xF6,0xEA,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
